#[doc = "Register `SPI2S_IFCR` writer"]
pub struct W(crate::W<SPI2S_IFCR_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<SPI2S_IFCR_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl From<crate::W<SPI2S_IFCR_SPEC>> for W {
    #[inline(always)]
    fn from(writer: crate::W<SPI2S_IFCR_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `EOTC` writer - EOTC"]
pub type EOTC_W<'a> = crate::BitWriter<'a, u32, SPI2S_IFCR_SPEC, bool, 3>;
#[doc = "Field `TXTFC` writer - TXTFC"]
pub type TXTFC_W<'a> = crate::BitWriter<'a, u32, SPI2S_IFCR_SPEC, bool, 4>;
#[doc = "Field `UDRC` writer - UDRC"]
pub type UDRC_W<'a> = crate::BitWriter<'a, u32, SPI2S_IFCR_SPEC, bool, 5>;
#[doc = "Field `OVRC` writer - OVRC"]
pub type OVRC_W<'a> = crate::BitWriter<'a, u32, SPI2S_IFCR_SPEC, bool, 6>;
#[doc = "Field `CRCEC` writer - CRCEC"]
pub type CRCEC_W<'a> = crate::BitWriter<'a, u32, SPI2S_IFCR_SPEC, bool, 7>;
#[doc = "Field `TIFREC` writer - TIFREC"]
pub type TIFREC_W<'a> = crate::BitWriter<'a, u32, SPI2S_IFCR_SPEC, bool, 8>;
#[doc = "Field `MODFC` writer - MODFC"]
pub type MODFC_W<'a> = crate::BitWriter<'a, u32, SPI2S_IFCR_SPEC, bool, 9>;
#[doc = "Field `TSERFC` writer - TSERFC"]
pub type TSERFC_W<'a> = crate::BitWriter<'a, u32, SPI2S_IFCR_SPEC, bool, 10>;
#[doc = "Field `SUSPC` writer - SUSPC"]
pub type SUSPC_W<'a> = crate::BitWriter<'a, u32, SPI2S_IFCR_SPEC, bool, 11>;
impl W {
    #[doc = "Bit 3 - EOTC"]
    #[inline(always)]
    pub fn eotc(&mut self) -> EOTC_W {
        EOTC_W::new(self)
    }
    #[doc = "Bit 4 - TXTFC"]
    #[inline(always)]
    pub fn txtfc(&mut self) -> TXTFC_W {
        TXTFC_W::new(self)
    }
    #[doc = "Bit 5 - UDRC"]
    #[inline(always)]
    pub fn udrc(&mut self) -> UDRC_W {
        UDRC_W::new(self)
    }
    #[doc = "Bit 6 - OVRC"]
    #[inline(always)]
    pub fn ovrc(&mut self) -> OVRC_W {
        OVRC_W::new(self)
    }
    #[doc = "Bit 7 - CRCEC"]
    #[inline(always)]
    pub fn crcec(&mut self) -> CRCEC_W {
        CRCEC_W::new(self)
    }
    #[doc = "Bit 8 - TIFREC"]
    #[inline(always)]
    pub fn tifrec(&mut self) -> TIFREC_W {
        TIFREC_W::new(self)
    }
    #[doc = "Bit 9 - MODFC"]
    #[inline(always)]
    pub fn modfc(&mut self) -> MODFC_W {
        MODFC_W::new(self)
    }
    #[doc = "Bit 10 - TSERFC"]
    #[inline(always)]
    pub fn tserfc(&mut self) -> TSERFC_W {
        TSERFC_W::new(self)
    }
    #[doc = "Bit 11 - SUSPC"]
    #[inline(always)]
    pub fn suspc(&mut self) -> SUSPC_W {
        SUSPC_W::new(self)
    }
    #[doc = "Writes raw bits to the register."]
    #[inline(always)]
    pub unsafe fn bits(&mut self, bits: u32) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "SPI/I2S interrupt/status flags clear register\n\nThis register you can [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [spi2s_ifcr](index.html) module"]
pub struct SPI2S_IFCR_SPEC;
impl crate::RegisterSpec for SPI2S_IFCR_SPEC {
    type Ux = u32;
}
#[doc = "`write(|w| ..)` method takes [spi2s_ifcr::W](W) writer structure"]
impl crate::Writable for SPI2S_IFCR_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets SPI2S_IFCR to value 0"]
impl crate::Resettable for SPI2S_IFCR_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
