#[doc = "Register `CCR` reader"]
pub struct R(crate::R<CCR_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<CCR_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<CCR_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<CCR_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `CCR` writer"]
pub struct W(crate::W<CCR_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<CCR_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl From<crate::W<CCR_SPEC>> for W {
    #[inline(always)]
    fn from(writer: crate::W<CCR_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `CKMODE` reader - ADC clock mode"]
pub type CKMODE_R = crate::FieldReader<u8, u8>;
#[doc = "Field `CKMODE` writer - ADC clock mode"]
pub type CKMODE_W<'a> = crate::FieldWriter<'a, u32, CCR_SPEC, u8, u8, 2, 16>;
#[doc = "Field `PRESC` reader - ADC prescaler"]
pub type PRESC_R = crate::FieldReader<u8, u8>;
#[doc = "Field `PRESC` writer - ADC prescaler"]
pub type PRESC_W<'a> = crate::FieldWriter<'a, u32, CCR_SPEC, u8, u8, 4, 18>;
#[doc = "Field `VREFEN` reader - VREFINT enable"]
pub type VREFEN_R = crate::BitReader<bool>;
#[doc = "Field `VREFEN` writer - VREFINT enable"]
pub type VREFEN_W<'a> = crate::BitWriter<'a, u32, CCR_SPEC, bool, 22>;
#[doc = "Field `CH17SEL` reader - CH17SEL"]
pub type CH17SEL_R = crate::BitReader<bool>;
#[doc = "Field `CH17SEL` writer - CH17SEL"]
pub type CH17SEL_W<'a> = crate::BitWriter<'a, u32, CCR_SPEC, bool, 23>;
#[doc = "Field `CH18SEL` reader - CH18SEL"]
pub type CH18SEL_R = crate::BitReader<bool>;
#[doc = "Field `CH18SEL` writer - CH18SEL"]
pub type CH18SEL_W<'a> = crate::BitWriter<'a, u32, CCR_SPEC, bool, 24>;
#[doc = "Field `MDMA` reader - MDMA"]
pub type MDMA_R = crate::FieldReader<u8, u8>;
#[doc = "Field `MDMA` writer - MDMA"]
pub type MDMA_W<'a> = crate::FieldWriter<'a, u32, CCR_SPEC, u8, u8, 2, 14>;
#[doc = "Field `DMACFG` reader - DMACFG"]
pub type DMACFG_R = crate::BitReader<bool>;
#[doc = "Field `DMACFG` writer - DMACFG"]
pub type DMACFG_W<'a> = crate::BitWriter<'a, u32, CCR_SPEC, bool, 13>;
#[doc = "Field `DELAY` reader - DELAY"]
pub type DELAY_R = crate::FieldReader<u8, u8>;
#[doc = "Field `DELAY` writer - DELAY"]
pub type DELAY_W<'a> = crate::FieldWriter<'a, u32, CCR_SPEC, u8, u8, 3, 8>;
#[doc = "Field `DUAL` reader - DUAL"]
pub type DUAL_R = crate::FieldReader<u8, u8>;
#[doc = "Field `DUAL` writer - DUAL"]
pub type DUAL_W<'a> = crate::FieldWriter<'a, u32, CCR_SPEC, u8, u8, 5, 0>;
impl R {
    #[doc = "Bits 16:17 - ADC clock mode"]
    #[inline(always)]
    pub fn ckmode(&self) -> CKMODE_R {
        CKMODE_R::new(((self.bits >> 16) & 3) as u8)
    }
    #[doc = "Bits 18:21 - ADC prescaler"]
    #[inline(always)]
    pub fn presc(&self) -> PRESC_R {
        PRESC_R::new(((self.bits >> 18) & 0x0f) as u8)
    }
    #[doc = "Bit 22 - VREFINT enable"]
    #[inline(always)]
    pub fn vrefen(&self) -> VREFEN_R {
        VREFEN_R::new(((self.bits >> 22) & 1) != 0)
    }
    #[doc = "Bit 23 - CH17SEL"]
    #[inline(always)]
    pub fn ch17sel(&self) -> CH17SEL_R {
        CH17SEL_R::new(((self.bits >> 23) & 1) != 0)
    }
    #[doc = "Bit 24 - CH18SEL"]
    #[inline(always)]
    pub fn ch18sel(&self) -> CH18SEL_R {
        CH18SEL_R::new(((self.bits >> 24) & 1) != 0)
    }
    #[doc = "Bits 14:15 - MDMA"]
    #[inline(always)]
    pub fn mdma(&self) -> MDMA_R {
        MDMA_R::new(((self.bits >> 14) & 3) as u8)
    }
    #[doc = "Bit 13 - DMACFG"]
    #[inline(always)]
    pub fn dmacfg(&self) -> DMACFG_R {
        DMACFG_R::new(((self.bits >> 13) & 1) != 0)
    }
    #[doc = "Bits 8:10 - DELAY"]
    #[inline(always)]
    pub fn delay(&self) -> DELAY_R {
        DELAY_R::new(((self.bits >> 8) & 7) as u8)
    }
    #[doc = "Bits 0:4 - DUAL"]
    #[inline(always)]
    pub fn dual(&self) -> DUAL_R {
        DUAL_R::new((self.bits & 0x1f) as u8)
    }
}
impl W {
    #[doc = "Bits 16:17 - ADC clock mode"]
    #[inline(always)]
    pub fn ckmode(&mut self) -> CKMODE_W {
        CKMODE_W::new(self)
    }
    #[doc = "Bits 18:21 - ADC prescaler"]
    #[inline(always)]
    pub fn presc(&mut self) -> PRESC_W {
        PRESC_W::new(self)
    }
    #[doc = "Bit 22 - VREFINT enable"]
    #[inline(always)]
    pub fn vrefen(&mut self) -> VREFEN_W {
        VREFEN_W::new(self)
    }
    #[doc = "Bit 23 - CH17SEL"]
    #[inline(always)]
    pub fn ch17sel(&mut self) -> CH17SEL_W {
        CH17SEL_W::new(self)
    }
    #[doc = "Bit 24 - CH18SEL"]
    #[inline(always)]
    pub fn ch18sel(&mut self) -> CH18SEL_W {
        CH18SEL_W::new(self)
    }
    #[doc = "Bits 14:15 - MDMA"]
    #[inline(always)]
    pub fn mdma(&mut self) -> MDMA_W {
        MDMA_W::new(self)
    }
    #[doc = "Bit 13 - DMACFG"]
    #[inline(always)]
    pub fn dmacfg(&mut self) -> DMACFG_W {
        DMACFG_W::new(self)
    }
    #[doc = "Bits 8:10 - DELAY"]
    #[inline(always)]
    pub fn delay(&mut self) -> DELAY_W {
        DELAY_W::new(self)
    }
    #[doc = "Bits 0:4 - DUAL"]
    #[inline(always)]
    pub fn dual(&mut self) -> DUAL_W {
        DUAL_W::new(self)
    }
    #[doc = "Writes raw bits to the register."]
    #[inline(always)]
    pub unsafe fn bits(&mut self, bits: u32) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "ADC common control register\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [ccr](index.html) module"]
pub struct CCR_SPEC;
impl crate::RegisterSpec for CCR_SPEC {
    type Ux = u32;
}
#[doc = "`read()` method returns [ccr::R](R) reader structure"]
impl crate::Readable for CCR_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [ccr::W](W) writer structure"]
impl crate::Writable for CCR_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets CCR to value 0"]
impl crate::Resettable for CCR_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
