#[doc = "Register `RNG_SR` reader"]
pub struct R(crate::R<RNG_SR_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<RNG_SR_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl From<crate::R<RNG_SR_SPEC>> for R {
    #[inline(always)]
    fn from(reader: crate::R<RNG_SR_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `RNG_SR` writer"]
pub struct W(crate::W<RNG_SR_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<RNG_SR_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl From<crate::W<RNG_SR_SPEC>> for W {
    #[inline(always)]
    fn from(writer: crate::W<RNG_SR_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `DRDY` reader - DRDY"]
pub type DRDY_R = crate::BitReader<bool>;
#[doc = "Field `CECS` reader - CECS"]
pub type CECS_R = crate::BitReader<bool>;
#[doc = "Field `SECS` reader - SECS"]
pub type SECS_R = crate::BitReader<bool>;
#[doc = "Field `CEIS` reader - CEIS"]
pub type CEIS_R = crate::BitReader<bool>;
#[doc = "Field `CEIS` writer - CEIS"]
pub type CEIS_W<'a> = crate::BitWriter<'a, u32, RNG_SR_SPEC, bool, 5>;
#[doc = "Field `SEIS` reader - SEIS"]
pub type SEIS_R = crate::BitReader<bool>;
#[doc = "Field `SEIS` writer - SEIS"]
pub type SEIS_W<'a> = crate::BitWriter<'a, u32, RNG_SR_SPEC, bool, 6>;
impl R {
    #[doc = "Bit 0 - DRDY"]
    #[inline(always)]
    pub fn drdy(&self) -> DRDY_R {
        DRDY_R::new((self.bits & 1) != 0)
    }
    #[doc = "Bit 1 - CECS"]
    #[inline(always)]
    pub fn cecs(&self) -> CECS_R {
        CECS_R::new(((self.bits >> 1) & 1) != 0)
    }
    #[doc = "Bit 2 - SECS"]
    #[inline(always)]
    pub fn secs(&self) -> SECS_R {
        SECS_R::new(((self.bits >> 2) & 1) != 0)
    }
    #[doc = "Bit 5 - CEIS"]
    #[inline(always)]
    pub fn ceis(&self) -> CEIS_R {
        CEIS_R::new(((self.bits >> 5) & 1) != 0)
    }
    #[doc = "Bit 6 - SEIS"]
    #[inline(always)]
    pub fn seis(&self) -> SEIS_R {
        SEIS_R::new(((self.bits >> 6) & 1) != 0)
    }
}
impl W {
    #[doc = "Bit 5 - CEIS"]
    #[inline(always)]
    pub fn ceis(&mut self) -> CEIS_W {
        CEIS_W::new(self)
    }
    #[doc = "Bit 6 - SEIS"]
    #[inline(always)]
    pub fn seis(&mut self) -> SEIS_W {
        SEIS_W::new(self)
    }
    #[doc = "Writes raw bits to the register."]
    #[inline(always)]
    pub unsafe fn bits(&mut self, bits: u32) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "RNG status register\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [rng_sr](index.html) module"]
pub struct RNG_SR_SPEC;
impl crate::RegisterSpec for RNG_SR_SPEC {
    type Ux = u32;
}
#[doc = "`read()` method returns [rng_sr::R](R) reader structure"]
impl crate::Readable for RNG_SR_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [rng_sr::W](W) writer structure"]
impl crate::Writable for RNG_SR_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets RNG_SR to value 0"]
impl crate::Resettable for RNG_SR_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
